Detail of Your Origin
Gethttps://api.cdn77.com/v3/origin/url/{id}Request parameters
idstring in pathrequired
Responses
Detail of the given Origin returned.
Response parameters
cdnsarray of objectsList of all CDN Resources assigned to the Origin.
idstringOrigin ID.
labelstringOrigin label.
notestringOptional note for the Origin.
schemestringAvailable values:
http,httpsbase_dirstringDirectory where the content is stored on the URL Origin. Maximum length is 255.
hoststringOrigin URL host without scheme and port. Can be a domain name or an IP address.
portintegerOrigin URL port. If not specified, the default scheme port is used. Allowed range is between 1 and 65535.
typestringAvailable values:
aws,object-storage,storage,urlfallback_originsarray of objectsfallback_policyobject
Example of the response
{
"cdns": [
{
"id": 1234567890,
"label": "My cdn"
}
],
"id": "e56564d1-8d3e-4457-93a6-082b054bc736",
"label": "My origin",
"note": "Note for my Origin",
"scheme": "https",
"base_dir": "/pictures/images",
"host": "my-domain.com",
"port": 8080,
"type": "url",
"fallback_origins": [
{
"id": "9880280c-0507-46d1-88f3-71cfee83fa57"
}
],
"fallback_policy": {
"balancer": "closest",
"max_fails": 0,
"fail_timeout": 0,
"max_fail_timeout": 0,
"next_upstream": [
"error"
]
}
}